Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
devsettings::Zeroconf Interface Reference

Zero-config service settings interface. More...

## Classes
struct | Settings
| Zero-configservice settings. More...
struct | SettingsChangedEvent

## Public Member Functions
Settings | getSettings ()
| Retrieve the service settings. More...
void | setSettings (in Settings settings)
| Set the service settings. More...

## Detailed Description

Zero-config service settings interface.

## Member Function Documentation

## ◆ getSettings()

Settings devsettings::Zeroconf::getSettings | ( |  | ) |

Retrieve the service settings.

Returns
  Zero-config service settings

## ◆ setSettings()

void devsettings::Zeroconf::setSettings | ( | in Settings | settings | ) |

Set the service settings.

Parameters

  settings | New settings

The documentation for this interface was generated from the following file:

- Zeroconf.idl